VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "ICS307-2"
   ClientHeight    =   4140
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7125
   LinkTopic       =   "Form1"
   ScaleHeight     =   4140
   ScaleWidth      =   7125
   StartUpPosition =   3  'Windows-Standard
   Begin VB.OptionButton Option2 
      Appearance      =   0  '2D
      Caption         =   "COM2"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   1440
      TabIndex        =   17
      Top             =   3600
      Width           =   1095
   End
   Begin VB.OptionButton Option1 
      Appearance      =   0  '2D
      Caption         =   "COM1"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   240
      TabIndex        =   16
      Top             =   3600
      Value           =   -1  'True
      Width           =   1095
   End
   Begin VB.OptionButton Option3 
      Appearance      =   0  '2D
      Caption         =   "COM3"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   2640
      TabIndex        =   15
      Top             =   3600
      Width           =   1095
   End
   Begin VB.OptionButton Option4 
      Appearance      =   0  '2D
      Caption         =   "COM4"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   3960
      TabIndex        =   14
      Top             =   3600
      Width           =   1095
   End
   Begin VB.OptionButton Option5 
      Caption         =   "COMx"
      Height          =   255
      Left            =   5160
      TabIndex        =   13
      Top             =   3600
      Width           =   855
   End
   Begin VB.TextBox Text13 
      Height          =   375
      Left            =   6120
      TabIndex        =   12
      Text            =   "10"
      Top             =   3600
      Width           =   735
   End
   Begin VB.CommandButton Command2 
      Caption         =   "EEPROM"
      Height          =   495
      Left            =   3960
      TabIndex        =   11
      Top             =   1440
      Width           =   1335
   End
   Begin VB.CommandButton Command1 
      Caption         =   "set"
      Height          =   255
      Left            =   3360
      TabIndex        =   10
      Top             =   120
      Width           =   1095
   End
   Begin VB.TextBox Text4 
      Height          =   285
      Left            =   2280
      TabIndex        =   9
      Text            =   "5000"
      Top             =   120
      Width           =   855
   End
   Begin VB.TextBox Text3 
      Height          =   375
      Left            =   720
      TabIndex        =   3
      Text            =   "Text3"
      Top             =   2760
      Width           =   2295
   End
   Begin VB.TextBox Text2 
      Height          =   375
      Left            =   720
      TabIndex        =   2
      Text            =   "Text2"
      Top             =   2160
      Width           =   2295
   End
   Begin VB.TextBox Text1 
      Height          =   375
      Left            =   720
      TabIndex        =   1
      Text            =   "Text1"
      Top             =   1560
      Width           =   855
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   375
      Left            =   600
      Max             =   6000
      Min             =   100
      TabIndex        =   0
      Top             =   600
      Value           =   400
      Width           =   6015
   End
   Begin VB.Label Label7 
      Caption         =   "Byte1, Byte2, Byte3"
      Height          =   255
      Left            =   3240
      TabIndex        =   8
      Top             =   2880
      Width           =   1695
   End
   Begin VB.Label Label6 
      Caption         =   "Ckl2, fVCO, RDW, VDW  "
      Height          =   255
      Left            =   3240
      TabIndex        =   7
      Top             =   2280
      Width           =   2655
   End
   Begin VB.Label Label5 
      Caption         =   "kHz"
      Height          =   255
      Left            =   1680
      TabIndex        =   6
      Top             =   1680
      Width           =   855
   End
   Begin VB.Label Label4 
      Caption         =   "120 MHz"
      Height          =   255
      Left            =   6000
      TabIndex        =   5
      Top             =   1080
      Width           =   855
   End
   Begin VB.Label Label2 
      Caption         =   "2000 kHz"
      Height          =   255
      Left            =   600
      TabIndex        =   4
      Top             =   1080
      Width           =   855
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim Byte1, Byte2, Byte3


Private Sub Command1_Click()
  f = Val(Text4.Text)
  If f > 120000 Then f = 120000
  HScroll1.Value = f / 20
End Sub

Private Sub Command2_Click()
  SENDBYTE 66
  SENDBYTE Byte1
  SENDBYTE Byte2
  SENDBYTE Byte3
End Sub

Private Sub Form_Load()
 i = OPENCOM("COM1:9600,N,8,2")
 If i = 0 Then
    i = OPENCOM("COM2:9600,N,8,2")
    Option2.Value = True
 End If
 TIMEINIT
 TIMEOUTS (300)
 If i = 0 Then MsgBox ("COM Error")
 DTR 1
 RTS 1
End Sub



Private Sub outputByte(Data)
  DELAY 0.1
    BitValue = 128
  For n = 0 To 7
  RTS 0
  If (Data And BitValue) > 0 Then TXD 1 Else TXD 0
    DELAY 0.1
    RTS 1          ' clock
    DELAY 0.1
    BitValue = BitValue \ 2
  Next n
  DELAY 0.1
  TXD 0
End Sub


Private Sub HScroll1_Change()
  xtal = 20000
  f = HScroll1.Value * 5
  f = f * 4
  Text1.Text = f
  s123 = 0     '10/2
  fvco = f * 20
  If f > 15000 Then
     s123 = 4  '/5/2
     fvco = f * 10
  End If
  If f > 30000 Then
     s123 = 6  '/3/2
     fvco = f * 6
  End If
  If f > 60000 Then
     s123 = 1  '/2/2
     fvco = f * 4
  End If
  
  Min = 10000
  For RDW = 2 To 50
    For VDW = 10 To 511
      fr = xtal * 2 * (VDW + 8) / (RDW + 2)
      If Abs(fr - fvco) < Min Then
        Min = Abs(fr - fvco)
        fre = fr
        ne = RDW
        ie = VDW
      End If
    Next VDW
  Next RDW
  Text2.Text = Str(f) + " " + Str(Int(fre)) + "  " + Str(ne) + "  " + Str(ie)
  
  SENDBYTE 65
  DELAY 2
  Byte1 = &H38 + s123
  SENDBYTE Byte1
  DELAY 2
  Byte2 = ie \ 2
  SENDBYTE Byte2
  DELAY 2
  If (ie And 1) = 1 Then ne = ne + 128
  Byte3 = ne
  SENDBYTE Byte3
  DELAY 2
  Text3.Text = Str(&H38 + s123) + " " + Str(Byte2) + " " + Str(Byte3)

End Sub

Private Sub Option1_Click()
 CLOSECOM
 i = OPENCOM("COM1:9600,N,8,1")
 If i = 0 Then MsgBox ("COM1 Error")
 TIMEOUTS (300)
End Sub

Private Sub Option2_Click()
 CLOSECOM
 i = OPENCOM("COM2:9600,N,8,2")
 If i = 0 Then MsgBox ("COM2 Error")
 TIMEOUTS (300)
 DTR 1
 RTS 1
End Sub

Private Sub Option3_Click()
 CLOSECOM
 i = OPENCOM("COM3:9600,N,8,2")
 If i = 0 Then MsgBox ("COM3 Error")
 TIMEOUTS (300)
 DTR 1
 RTS 1
End Sub

Private Sub Option4_Click()
 CLOSECOM
 i = OPENCOM("COM4:9600,N,8,2")
 If i = 0 Then MsgBox ("COM4 Error")
 TIMEOUTS (300)
 DTR 1
 RTS 1
End Sub

Private Sub Option5_Click()
 OpenString = "COM" + Text13.Text + ":9600,N,8,2"
 CLOSECOM
 i = OPENCOM(OpenString)
 If i = 0 Then MsgBox ("COMx Error")
 TIMEOUTS (300)
 DTR 1
 RTS 1
End Sub
